package org.gcube.parthenosentities.model.reference.entity.facet.parthenos;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.parthenosentities.model.reference.entity.facet.cidoc.E51_Contact_Point;
import org.gcube.resourcemanagement.model.reference.entities.facets.AccessPointFacet;

/**
 * @author Luca Frosini (ISTI - CNR)
 * 
 * This class comprises instances of web addresses and network addresses by 
 * which e-services can be accessed.
 */
@TypeMetadata(name = PE29_Access_Point.NAME, description = "This class comprises instances of web addresses and network addresses by which e-services can be accessed.", version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE29_Access_Point extends E51_Contact_Point, AccessPointFacet {
	
	public static final String NAME = "PE29_Access_Point"; // PE29_Access_Point.class.getSimpleName();
	
}
