package org.gcube.parthenosentities.model.reference.entity.facet.parthenos;

import org.gcube.informationsystem.model.reference.entities.Facet;
import org.gcube.informationsystem.types.annotations.ISProperty;
import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = PE_Basic_Info_Facet.NAME, description = PE_Basic_Info_Facet.DESCRIPTION, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE_Basic_Info_Facet extends Facet {

	public static final String NAME = "PE_Basic_Info_Facet"; // PE_Basic_Info_Facet.class.getSimpleName();
	public static final String DESCRIPTION = "This facet is expected to capture title and description metadata for Partenos Entities";
	
	@ISProperty
	public String getTitle();
	
	public void setTitle(String title);
	
	@ISProperty
	public String getDescription();
	
	public void setDescription(String description);
	
}
