package org.gcube.parthenosentities.model.reference.entity.facet.parthenos;

import org.gcube.informationsystem.types.annotations.ISProperty;
import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.resourcemanagement.model.reference.entities.facets.ContactFacet;
import org.gcube.resourcemanagement.model.reference.entities.facets.ContactReferenceFacet;

/**
 * @author Luca Frosini (ISTI - CNR)
 * @author Alessia Bardi (ISTI - CNR)
 *
 */
@TypeMetadata(name = PE_Contact_Reference_Facet.NAME, description = PE_Contact_Reference_Facet.DESCRIPTION, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE_Contact_Reference_Facet extends ContactReferenceFacet {

	public static final String NAME = "PE_Contact_Reference_Facet"; // PE_Contact_Reference_Facet.class.getSimpleName();
	public static final String DESCRIPTION = "This facet is expected to capture minimal metadata for E39_Actor";
	
	@ISProperty
	public String getAppellation();
	
	public void setAppellation(String appelation);
	
	@ISProperty
	public String getDescription();
	
	public void setDescription(String description);
	
	@ISProperty
	public String getLegalAddress();
	
	public void setLegalAddress(String legalAddress);
	
	/*
	 * see address
	@ISProperty
	public String getMailingAddress();
	
	public void setMailingAddress(String mailingAddress);
	*/
	
	@ISProperty(regexpr=ContactFacet.EMAIL_PATTERN)
	public String getEMail();

	public void setEMail(String eMail);
	
	
	
}
