package org.gcube.parthenosentities.model.reference.entity.facet.parthenos;

import org.gcube.informationsystem.types.annotations.ISProperty;
import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.resourcemanagement.model.reference.properties.ValueSchema;

/**
 * @author Luca Frosini (ISTI - CNR)
 * @author Alessia Bardi (ISTI - CNR)
 */
@TypeMetadata(name = PE_Info_Facet.NAME, description = PE_Info_Facet.DESCRIPTION, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE_Info_Facet extends PE_Basic_Info_Facet {
	
	public static final String NAME = "PE_Info_Facet"; // PE_Info_Facet.class.getSimpleName();
	public static final String DESCRIPTION = "This facet is expected to capture minimal metadata for PE1_Service";
	
	@ISProperty
	public ValueSchema getCompetence();
	
	public void setCompetence(ValueSchema competence);
	
	@ISProperty
	public ValueSchema getAvailability();
	
	public void setAvailability(ValueSchema availability);
	
}
